Operations
由 openapi.json 自动生成的 1 个端点及其请求、响应和权限元数据。
此参考由已发布 API 契约生成。字段、请求头和权限要求如下。
下载完整 OpenAPI 文档 · SHA-256: ccaa20cec11fad96e369b88073ce3608a5b071ce55d6dc03fa31df7b0f08c525
标识符和数据结构与公开契约一致,说明直接给出调用规则。共享模型见 数据模型.
POST /api/v1/admin/ops-records
POST /api/v1/admin/ops-records
{
"requestBody": {
"content": {
"application/json": {
"schema": {
"additionalProperties": false,
"properties": {
"action": {
"enum": [
"release",
"backup",
"restore_drill"
],
"type": "string"
},
"detail": {
"additionalProperties": {},
"type": "object"
},
"external_run_id": {
"maxLength": 200,
"minLength": 1,
"type": "string"
},
"outcome": {
"enum": [
"success",
"failed"
],
"type": "string"
},
"resource_id": {
"maxLength": 200,
"minLength": 1,
"type": "string"
}
},
"required": [
"action",
"resource_id",
"external_run_id",
"outcome",
"detail"
],
"type": "object"
}
}
},
"required": true
},
"responses": {
"201": {
"content": {
"application/json": {
"schema": {
"properties": {
"id": {
"type": [
"string",
"null"
]
},
"replayed": {
"type": "boolean"
}
},
"required": [
"id",
"replayed"
],
"type": "object"
}
}
},
"description": "Success"
}
},
"tags": [
"Operations"
],
"x-audit": "ops.record.report",
"x-body": "json",
"x-body-limit": 65536,
"x-idempotency": "none",
"x-permission": "ops.record.write",
"x-rate-limit": "iam.service_account.admin",
"x-reauth": false,
"effectiveSecurity": []
}